#!/bin/sh
# Fast Site Engine. Copyright © 2004-2021, AC (acwed@ya.ru). All rights reserved. 2-clause BSD license.
# fsen.ru/linux - сохранить файл с расширением *.sh и сделать его исполняемым. Затем запустить в консоли(терминале) и ввести пароль.
# Kubuntu 20.04.2.0 LTS Focal Fossa (Фокусная Фосса)
# echo -e //если в консоли напрямую (руками) вставлять, чтоб \n срабатывало..
distr="focal"
pscreen="/tmp/0.png"

sudo apt install -y curl

# Добавление репозиториев PPA: /etc/apt/
# smplayer   https://software.opensuse.org/download.html?project=home%3Asmplayerdev&package=smplayer
echo 'deb http://download.opensuse.org/repositories/home:/smplayerdev/xUbuntu_20.04/ /' | sudo tee /etc/apt/sources.list.d/home:smplayerdev.list
curl -fsSL https://download.opensuse.org/repositories/home:smplayerdev/xUbuntu_20.04/Release.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/home_smplayerdev.gpg > /dev/null
# Браузер Vivaldi
wget -qO- https://repo.vivaldi.com/archive/linux_signing_key.pub | sudo apt-key add -
sudo add-apt-repository 'deb https://repo.vivaldi.com/archive/deb/ stable main'
# Wine
#wget -qO- https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key add -
#sudo apt-add-repository 'deb http://dl.winehq.org/wine-builds/ubuntu/ bionic main'
### dpkg --add-architecture i386

# обновляем списки программ и обновляем систему
sudo apt update
sudo apt upgrade -y

# xbindkeys - глобальные горячие клавиши
# mkdir -p ~/.config/autostart-scripts/ && ln -s /usr/bin/xbindkeys ~/.config/autostart-scripts/
# создадим ярлык запуска настроек в системных
echo '[Desktop Entry]\nType=Application\nName=xbindkeys-config\nComment=Настройка сочетаний клавиш\nExec=/usr/bin/xbindkeys-config\nIcon=preferences-desktop-keyboard\nCategories=Settings;' | sudo tee /usr/share/applications/xbindkeys-config.desktop && sudo chmod +x /usr/share/applications/xbindkeys-config.desktop
echo '[Desktop Entry]\nType=Application\nName=xvkbd\nGenericName=X Virtual Keyboard\nExec=/usr/bin/xvkbd\nCategories=System;Utility;\nIcon=input-keyboard\nCategories=Settings;Keywords=keyboard;input' | sudo tee -a /usr/share/applications/xvkbd.desktop && sudo chmod +x /usr/share/applications/xvkbd.desktop
# удаляем из категории Система
#sudo sed -i 's/Categories=System;Utility;/Categories=Utility;/g' /usr/share/applications/xvkbd.desktop
#xbind-keys - конфигурация: Scroll Lock запускает калькулятор; боковые клавиши мыши регулируют уровень громкости через fsesound
if ! [ -e  ~/.xbindkeysrc ]; then cp -v ./.xbindkeysrc ~/; fi


# скрипт для управления звуковой системой, скопируем, зададим скрипту права на запуск и добавим в автозапуск
mkdir -p ~/.config/autostart/
sudo cp -v ./fsesound /usr/bin/
sudo chmod +x /usr/bin/fsesound
echo '[Desktop Entry]\nType=Application\nName=fseSound\nComment=Управление звуковой системой\nExec=/usr/bin/fsesound start 50\nIcon=preferences-desktop-sound' > ~/.config/autostart/fsesound.desktop && chmod +x ~/.config/autostart/fsesound.desktop
# если не работает сабвуфер
# echo 'enable-lfe-remixing = yes' | sudo tee -a /etc/pulse/daemon.conf #Deprecated option
echo 'remixing-produce-lfe = yes\nremixing-consume-lfe = yes' | sudo tee -a /etc/pulse/daemon.conf


# включаем и настраиваем эквалайзер, добавим в автозагрузку с фоновым запуском
echo '[Desktop Entry]\nType=Application\nName=PulseEffects\nComment=PulseEffects Service\nExec=/usr/bin/pulseeffects --gapplication-service\nIcon=pulseeffects\nStartupNotify=false\nTerminal=false\n' > ~/.config/autostart/pulseeffects-service.desktop && chmod +x ~/.config/autostart/pulseeffects-service.desktop
mkdir -p ~/.config/dconf/
cp -v ./user ~/.config/dconf/
# отключаем OSD при изменении уровня громкости
kwriteconfig5 --file plasmarc --group OSD --key Enabled --type bool false

# устанавливаем софт из репозитория  --- обрывает установку при проблемах с пакетом, если всё вместе писать...  sudo apt install -y gufw gparted ...
sudo apt install -y ttf-mscorefonts-installer
sudo apt install -y kubuntu-restricted-extras
sudo apt install -y oxygen-icon-theme
sudo apt install -y gufw
sudo apt install -y gparted
sudo apt install -y gsmartcontrol
sudo apt install -y xvkbd
sudo apt install -y xbindkeys
sudo apt install -y xbindkeys-config
sudo apt install -y bleachbit
sudo apt install -y pulseeffects
sudo apt install -y lsp-plugins
sudo apt install -y qasmixer
sudo apt install -y audacious
sudo apt install -y smplayer
sudo apt install -y smplayer-themes
#sudo apt install -y smplayer-skins
#sudo apt install -y chromium-browser - snap, to long
sudo apt install -y vivaldi-stable
sudo apt install -y guvcview
### sudo apt install -y eiskaltdcpp-qt
sudo apt install -y scrot
### sudo apt install -y krita
### sudo apt install -y krita-l10n
### sudo apt install -y gimp
### sudo apt install -y gimp-plugin-registry
sudo apt install -y filezilla
sudo apt install -y traceroute
sudo apt install -y pwgen
sudo apt install -y catfish
sudo apt install -y regexxer
sudo apt install -y kdiff3
sudo apt install -y geany
sudo apt install -y xarchiver
sudo apt install -y k3b

### sudo apt install -y aria2 # для загрузки файлов
### sudo apt install -y wine64
### sudo apt install -y wine32
### sudo apt install -y winetricks

# русифицировать LibreOffice
sudo apt install -y libreoffice-l10n-ru # интерфейс
# sudo apt install -y libreoffice-help-ru # справка
# А также (они вродь из коробки установлены)
# sudo apt-get install mythes-ru #Русский словарь синонимов для libreoffice
# sudo apt-get install hunspell-ru


# удаление программ //akregator  mpd            libreoffice*   kdeconnect vlc
sudo apt purge -y konversation elisa

# удаление ярлыков из меню
sudo rm -vf /usr/share/applications/info.desktop /usr/share/applications/calf.desktop /usr/share/applications/org.kde.Help.desktop /usr/share/applications/org.kde.contactprintthemeeditor.desktop /usr/share/applications/org.kde.contactthemeeditor.desktop /usr/share/applications/org.kde.headerthemeeditor.desktop /usr/share/applications/org.kde.sieveeditor.desktop /usr/share/applications/org.kde.pimsettingexporter.desktop /usr/share/applications/openjdk-*-policytool.desktop /usr/share/applications/libreoffice-base.desktop /usr/share/applications/libreoffice-draw.desktop /usr/share/applications/libreoffice-impress.desktop /usr/share/applications/libreoffice-math.desktop /usr/share/applications/smtube.desktop


# устанавливаем софт скачивая пакеты
#cd /tmp -> -P /tmp
#wget -qO /tmp/discord.deb -P /tmp https://discord.com/api/download?platform=linux&format=deb
# sudo apt install -y snapd && sudo snap install mailspring - snap, to long
### wget -qO /tmp/mailspring.deb -P /tmp https://updates.getmailspring.com/download?platform=linuxDeb
### wget -qO /tmp/tuxguitar.deb -P /tmp https://sourceforge.net/projects/tuxguitar/files/TuxGuitar/TuxGuitar-1.5.4/tuxguitar-1.5.4-linux-x86_64.deb/download
wget -qP /tmp https://zoom.us/client/latest/zoom_amd64.deb
wget -qP /tmp https://repo.skype.com/latest/skypeforlinux-64.deb
wget -qP /tmp https://download.teamviewer.com/download/linux/teamviewer_amd64.deb
#wget -qP /tmp https://cdn.akamai.steamstatic.com/client/installer/steam.deb
sudo dpkg -i /tmp/*.deb
sudo apt install -f -y


# Telegram
wget -qO /tmp/telegram.tar.xz -P /tmp https://telegram.org/dl/desktop/linux
tar -xf /tmp/telegram.tar.xz -C ~/.local/share/
wget -qP ~/.local/share/TelegramDesktop/ https://fsen.ru/inc/doc/linux/programs/telegram-128x128.png
# решение проблемы с отсутсвующим значком в трее
# dbus-launch ~/.local/share/Telegram/Telegram start & disown
# XDG_CURRENT_DESKTOP=unity ~/.local/share/Telegram/Telegram start
mkdir -p ~/.local/share/applications/
echo '[Desktop Entry]\nVersion=1.0\nName=Telegram\nExec=XDG_CURRENT_DESKTOP=unity /home/'$USER'/.local/share/Telegram/Telegram -workdir /home/'$USER'/.local/share/TelegramDesktop/ -- %u\nIcon=/home/'$USER'/.local/share/TelegramDesktop/telegram-128x128.png\nTerminal=false\nStartupWMClass=TelegramDesktop\nType=Application\nCategories=Network;' > ~/.local/share/applications/telegram.desktop && sudo chmod +x ~/.local/share/applications/telegram.desktop
# в автозгрузку при старте
echo '[Desktop Entry]\nVersion=1.0\nName=Telegram\nExec=XDG_CURRENT_DESKTOP=unity /home/'$USER'/.local/share/Telegram/Telegram -autostart\nIcon=/home/'$USER'/.local/share/TelegramDesktop/telegram-128x128.png\nTerminal=false\nStartupWMClass=TelegramDesktop\nType=Application\nCategories=Network;' > ~/.config/autostart/telegram.desktop && sudo chmod +x ~/.config/autostart/telegram.desktop


# Tor Browser
wget -qP /tmp https://www.torproject.org/dist/torbrowser/10.0.17/tor-browser-linux64-10.0.17_ru.tar.xz
tar -xf /tmp/tor-browser-linux64-*_ru.tar.xz -C ~/.local/share/
# tar -xvJf /tmp/tor-browser-linux64-*_ru.tar.xz -C ~/.local/share/
echo '[Desktop Entry]\nType=Application\nName=Tor Browser\nGenericName=Web Browser\nComment=Tor Browser is +1 for privacy and −1 for mass surveillance\nCategories=Network;WebBrowser;Security;\nExec=sh -c '\''"/home/ac/.local/share/tor-browser_ru/Browser/start-tor-browser" --detach || ([ !  -x "/home/ac/.local/share/tor-browser_ru/Browser/start-tor-browser" ] && "$(dirname "$*")"/Browser/start-tor-browser --detach)'\'' dummy %k\nX-TorBrowser-ExecShell=/home/ac/.local/share/tor-browser_ru/Browser/start-tor-browser --detach\nIcon=/home/'$USER'/.local/share/tor-browser_ru/Browser/browser/chrome/icons/default/default128.png\nStartupWMClass=Tor Browser' > ~/.local/share/applications/torbrowser.desktop && sudo chmod +x ~/.local/share/applications/torbrowser.desktop


# чистка  /tmp/steam.deb  /tmp/discord.deb
sudo rm -vf /tmp/zoom_amd64.deb /tmp/skypeforlinux-64.deb /tmp/teamviewer_amd64.deb /tmp/mailspring.deb /tmp/tuxguitar.deb /tmp/aurora_*_amd64.deb /tmp/tor-browser-*.tar.xz /tmp/telegram.tar.xz
sudo apt autoremove -y


# снимок экрана в файл #Icon=gnome-screenshot
# echo '[Desktop Entry]\nType=Application\nName=ScreenToFile\nComment=Скриншот в файл '$pscreen'\nExec=/usr/bin/scrot "'$pscreen'"\nIcon=spectacle\nCategories=Graphics;' | sudo tee /usr/share/applications/screentofile.desktop && sudo chmod +x /usr/share/applications/screentofile.desktop

# снимок экрана в файл и открыть в Krita
### echo '#!/bin/sh\nrm -f "'$pscreen'"\n/usr/bin/scrot "'$pscreen'"\n/usr/bin/krita "'$pscreen'"' | sudo tee /usr/bin/screentokrita.sh && sudo chmod +x /usr/bin/screentokrita.sh && echo '[Desktop Entry]\nType=Application\nName=ScreenToKrita\nComment=Скриншот в Krita\nExec=/usr/bin/screentokrita.sh\nIcon=spectacle\nCategories=Graphics;' | sudo tee /usr/share/applications/screentokrita.desktop && sudo chmod +x /usr/share/applications/screentokrita.desktop
# снимок экрана с задержкой в 3 сек. (2 1 0 снимок) в файл и открыть в Krita
### echo '#!/bin/sh\nrm -f "'$pscreen'"\n/usr/bin/scrot -d 2 "'$pscreen'"\n/usr/bin/krita "'$pscreen'"' | sudo tee /usr/bin/screentokrita3.sh && sudo chmod +x /usr/bin/screentokrita3.sh && echo '[Desktop Entry]\nType=Application\nName=ScreenToKrita3\nComment=Скриншот в Krita с задержкой в 3 сек.\nExec=/usr/bin/screentokrita3.sh\nIcon=spectacle\nCategories=Graphics;' | sudo tee /usr/share/applications/screentokrita3.desktop && sudo chmod +x /usr/share/applications/screentokrita3.desktop

# снимок экрана в файл и открыть в GIMP
#   echo '#!/bin/sh\nrm -f "'$pscreen'"\n/usr/bin/scrot "'$pscreen'"\n/usr/bin/gimp "'$pscreen'"' | sudo tee /usr/bin/screentogimp.sh && sudo chmod +x /usr/bin/screentogimp.sh && echo '[Desktop Entry]\nType=Application\nName=ScreenToGimp\nComment=Скриншот в GIMP\nExec=/usr/bin/screentogimp.sh\nIcon=spectacle\nCategories=Graphics;' | sudo tee /usr/share/applications/screentogimp.desktop && sudo chmod +x /usr/share/applications/screentogimp.desktop

# снимок экрана в файл и открыть в Pinta
#   echo '#!/bin/sh\nrm -f "'$pscreen'"\n/usr/bin/scrot "'$pscreen'"\n/usr/bin/pinta "'$pscreen'"' | sudo tee /usr/bin/screentopinta.sh && sudo chmod +x /usr/bin/screentopinta.sh && echo '[Desktop Entry]\nType=Application\nName=ScreenToPinta\nComment=Скриншот в Рinta\nExec=/usr/bin/screentopinta.sh\nIcon=spectacle\nCategories=Graphics;' | sudo tee /usr/share/applications/screentopinta.desktop && sudo chmod +x /usr/share/applications/screentopinta.desktop


# отключаем запись даты последнего доступа
sudo sed -i 's/remount-ro/remount-ro,noatime/g' /etc/fstab
sudo sed -i 's/defaults/defaults,noatime/g' /etc/fstab
sudo sed -i 's/,defaults,defaults/,defaults/g' /etc/fstab


# см. в ~/.config/
# настройка столов
kwriteconfig5 --file kwinrc --group Desktops --key Number 4
kwriteconfig5 --file kwinrc --group Desktops --key Rows 2
# без анимации при переключении
kwriteconfig5 --file kwinrc --group Plugins --key slideEnabled --type bool false

# настраиваем панель задач
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group Applets --group 5 --group Configuration --group General --key groupingStrategy 0
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group Applets --group 5 --group Configuration --group General --key showOnlyCurrentDesktop --type bool true
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group Applets --group 5 --group Configuration --group General --key showOnlyCurrentScreen --type bool true
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group Applets --group 5 --group Configuration --group General --key sortingStrategy 1

# расставляем в нужном порядке апплеты (виджеты) в панели задач
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group General --key AppletOrder '3;9;5;4;6;8'

# прячем иконки в системном лотке
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 7 --group General --key hiddenItems 'org.kde.plasma.clipboard,org.kde.plasma.vault,org.kde.plasma.networkmanagement,org.kde.discovernotifier,qasmixer,Plasma_microphone'

# настраиваем громкость
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 7 --group Applets --group 12 --group Configuration --group General --key volumeFeedback --type bool false
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 7 --group Applets --group 12 --group Configuration --group General --key volumeStep 1

# настраиваем часы
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group Applets --group 8 --group Configuration --group Appearance --key dateFormat isoDate
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group Applets --group 8 --group Configuration --group Appearance --key enabledCalendarPlugins '/usr/lib/x86_64-linux-gnu/qt5/plugins/plasmacalendarplugins/holidaysevents.so'
kwriteconfig5 --file plasma-org.kde.plasma.desktop-appletsrc --group Containments --group 2 --group Applets --group 8 --group Configuration --group Appearance --key showDate --type bool true
kwriteconfig5 --file plasma_calendar_holiday_regions --group General --key selectedRegions ru_ru

# отключение эффектов
kwriteconfig5 --file kwinrc --group Plugins --key blurEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key contrastEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key cubeslideEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key desktopgridEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_dialogparentEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_fadeEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_fadedesktopEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_frozenappEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_loginEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_logoutEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_maximizeEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_morphingpopupsEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_translucencyEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key kwin4_effect_windowapertureEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key minimizeanimationEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key presentwindowsEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key screenedgeEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key slideEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key slidingpopupsEnabled --type bool false
kwriteconfig5 --file kwinrc --group Plugins --key zoomEnabled --type bool false

kwriteconfig5 --file kscreenlockerrc --group Daemon --key Timeout 25
kwriteconfig5 --file kscreenlockerrc --group Daemon --key LockGrace 50
kwriteconfig5 --file ksmserverrc --group General --key confirmLogout --type bool false
kwriteconfig5 --file baloofilerc --group 'Basic Settings' --key Indexing-Enabled --type bool false
kwriteconfig5 --file kwalletrc --group Wallet --key Enabled --type bool false
kwriteconfig5 --file notificationhelper --group Event --key hideApportNotifier --type bool true
kwriteconfig5 --file notificationhelper --group NotificationType --key NotifyType TrayOnly
kwriteconfig5 --file kxkbrc --group Layout --key Options 'Options=grp_led:scroll,grp:toggle,grp:alt_shift_toggle'
kwriteconfig5 --file kdeglobals --group KDE --key SingleClick --type bool true
#kwriteconfig5 --file kwinrc --group Compositing --key GLPreferBufferSwap c #руками при установке драйверов, в том числе вызывает глюки в виртуалке VM VirtualBox..
kwriteconfig5 --file powermanagementprofilesrc --group AC --group DPMSControl --key idleTime 1800
kwriteconfig5 --file powermanagementprofilesrc --group AC --group HandleButtonEvents --key powerButtonAction 8
kwriteconfig5 --file kded_device_automounterrc --group General --key AutomountEnabled --type bool true

# отключить всплывающее уведомление - соединение утсановлено
kwriteconfig5 --file networkmanagement.notifyrc --group Event/ConnectionActivated --key Action ''


# Настраиваем Dolphin
# Управление - Настроить Dolphin...
# Главное - Использовать индивидуальные свойства для каждой папки
kwriteconfig5 --file dolphinrc --group General --key GlobalViewProps --type bool false
# Снимаем галку: Открывать новые папки во вкладках
kwriteconfig5 --file dolphinrc --group General --key OpenExternallyCalledFolderInNewTab --type bool false
# Ставим галку: Полный путь в строке адреса
kwriteconfig5 --file dolphinrc --group General --key ShowFullPath --type bool true
# Управление - Показывать скрытые файлы
kwriteconfig5 --file dolphinrc --group FoldersPanel --key HiddenFilesShown --type bool true


# запускаем программы для генерации конфигов по умолчанию
nohup /usr/bin/vivaldi-stable &
sleep 1
nohup /usr/bin/ktorrent &
sleep 1
nohup /usr/bin/audacious &
sleep 1
nohup /usr/bin/smplayer &
sleep 5
killall vivaldi-bin audacious ktorrent smplayer
sleep 5


# Настраиваем браузер Vivaldi
# Замену только на чистый конфиг производить..
# Местами свойство цепляется за предыдущее, если что-то отключаете проверяйте..

# Отключаем запрос подтверждения при выходе
sed -i 's/,"theme":/,"system":{"show_exit_confirmation_dialog":false},"theme":/g' ~/.config/vivaldi/Default/Preferences
# Отключаем запрос закрытия окна при выходе
sed -i 's/"touch"]}}/"touch"]},"windows":{"show_window_close_confirmation_dialog":false}}/g' ~/.config/vivaldi/Default/Preferences

# Общие
# Браузер по умолчанию - Отключаем - галочку проверки
sed -i 's/"startup":{"has_seen_feature":1/"startup":{"check_is_default":false,"has_seen_feature":1/g' ~/.config/vivaldi/Default/Preferences
# Домашняя страница - Экспресс панель
sed -i 's/,"panels":/,"homepage":"vivaldi:\/\/startpage","panels":/g' ~/.config/vivaldi/Default/Preferences
# Отключаем - Автоматически предлагать перевод старницы
sed -i 's/"translate":{"enabled":true}/"translate":{"enabled":false}/g' ~/.config/vivaldi/Default/Preferences

# Темы
# Мне психоделика не нравится с разноцветными вкладками, переключим тему на Subtle и переключим фон с рисунка на тёмный
sed -i 's/"theme":{"schedule":{"o_s":{"dark":"Dark","light":"Vivaldi"/"theme":{"background":{"data":"#1D1E21"},"schedule":{"o_s":{"dark":"Dark","light":"Subtle"/g' ~/.config/vivaldi/Default/Preferences

# Экспресс панель
# Отключаем - показывать кнопку +
sed -i 's/,"startup":/,"startpage":{"speed_dial":{"add_button_visible":false}},"startup":/g' ~/.config/vivaldi/Default/Preferences

# Вкладки
# Отключаем - Всплывающие эскизы "tooltip":false
# и группировку вкладок "stacking":{"mode":0} (новая возможность довольно проблемная,
# не туда мышку повёл и у тебя уже 2 этажа вкладок вместо перетаскивания)
# при закрытии активировать вкладку слева "activation":{"on_close":1}
sed -i 's/,"theme":/,"tabs":{"activation":{"on_close":1},"stacking":{"mode":0},"tooltip":false},"theme":/g' ~/.config/vivaldi/Default/Preferences

# Адресная панель
# Включаем - Показывать полный адрес
sed -i 's/"vivaldi":{/"vivaldi":{"address_bar":{"show_full_url":true},/g' ~/.config/vivaldi/Default/Preferences

# Закладки
# Включаем  - Панель закладок - не работает почему-то, только руками включается
# sed -i 's/"bookmarks":{/"bookmarks":{"bar":{"sorting":{"sortField":"manually","sortOrder":1},"visible":true},/g' ~/.config/vivaldi/Default/Preferences

# Клавиатура
# Включаем - Клавиша Alt открывает меню (она участвует в управлении проигрывателем)
sed -i 's/,"panels":/,"keyboard":{"shortcuts":{"alt_opens_menu":false}},"panels":/g' ~/.config/vivaldi/Default/Preferences

# Приватность
# Хранить историю просмотра 7 дней
sed -i 's/,"homepage":"vivaldi:/,"history":{"days_to_keep_visits":7},"homepage":"vivaldi:/g' ~/.config/vivaldi/Default/Preferences
# Отключаю хранение паролей - Сохранять пароли
sed -i 's/,"data_reduction":/,"credentials_enable_service":false,"data_reduction":/g' ~/.config/vivaldi/Default/Preferences

# Загрузки
# Отключаем - Всегда сохранять файлы в указанный каталог (чтоб вопрос задавал каждый раз куда сохраниться)
# Отключаем - Открывать панель загрузок автоматически
sed -i 's/,"history":{"days_to_keep_visits":7}/,"downloads":{"open_panel_on_new":false,"start_automatically":false},"history":{"days_to_keep_visits":7}/g' ~/.config/vivaldi/Default/Preferences

# Вэб-страницы
# Отключаем - Кнопка картинка в картинке (над роликами по центру)
# Отключаем - Полноэкранный режим - показывать уведомление
sed -i 's/,"welcome":/,"webpages":{"full_screen":{"show_bubble":false},"picture_in_picture_button":{"enabled":false}},"welcome":/g' ~/.config/vivaldi/Default/Preferences

# Скрываем боковую панель
sed -i 's/,"panels":{/,"panels":{"state":{"barVisible":false,"panelVisible":false,"width":0},/g' ~/.config/vivaldi/Default/Preferences


# настраиваем KTorrent (0 = без ограничений)
kwriteconfig5 --file ktorrentrc --group downloads --key maxConnections 0
kwriteconfig5 --file ktorrentrc --group downloads --key maxDownloads 1000
kwriteconfig5 --file ktorrentrc --group downloads --key maxSeeds 1000
kwriteconfig5 --file ktorrentrc --group downloads --key maxTotalConnections 0
kwriteconfig5 --file ktorrentrc --group downloads --key numUploadSlots 100
kwriteconfig5 --file ktorrentrc --group downloads --key port 3000


# настраиваем Audacious //замена нескольких строк
sed -i '/name Audio CD Menu Items/{N;N;N;N;N;s/name Audio CD Menu Items\ndomain audacious-plugins\npriority 0\nabout 0\nconfig 0\nenabled 1/name Audio CD Menu Items\ndomain audacious-plugins\npriority 0\nabout 0\nconfig 0\nenabled 0/}' ~/.config/audacious/plugin-registry
sed -i '/name MPRIS 2 Server/{N;N;N;N;N;s/name MPRIS 2 Server\ndomain audacious-plugins\npriority 0\nabout 0\nconfig 0\nenabled 1/name MPRIS 2 Server\ndomain audacious-plugins\npriority 0\nabout 0\nconfig 0\nenabled 0/}' ~/.config/audacious/plugin-registry
sed -i '/name Global Hotkeys/{N;N;N;N;N;s/name Global Hotkeys\ndomain audacious-plugins\npriority 0\nabout 1\nconfig 1\nenabled 0/name Global Hotkeys\ndomain audacious-plugins\npriority 0\nabout 1\nconfig 1\nenabled 1/}' ~/.config/audacious/plugin-registry
sed -i '/name Status Icon/{N;N;N;N;N;s/name Status Icon\ndomain audacious-plugins\npriority 0\nabout 1\nconfig 1\nenabled 0/name Status Icon\ndomain audacious-plugins\npriority 0\nabout 1\nconfig 1\nenabled 1/}' ~/.config/audacious/plugin-registry
# выключаем/включаем плагины
echo '\n[globalHotkey]\nHotkey_0_event=0\nHotkey_0_key=11\nHotkey_0_mask=8\nHotkey_0_type=0\nHotkey_10_event=2\nHotkey_10_key=12\nHotkey_10_mask=8\nHotkey_10_type=0\nHotkey_1_event=1\nHotkey_1_key=172\nHotkey_1_mask=0\nHotkey_1_type=0\nHotkey_2_event=2\nHotkey_2_key=9\nHotkey_2_mask=8\nHotkey_2_type=0\nHotkey_3_event=3\nHotkey_3_key=174\nHotkey_3_mask=0\nHotkey_3_type=0\nHotkey_4_event=4\nHotkey_4_key=94\nHotkey_4_mask=8\nHotkey_4_type=0\nHotkey_5_event=7\nHotkey_5_key=121\nHotkey_5_mask=0\nHotkey_5_type=0\nHotkey_6_event=8\nHotkey_6_key=123\nHotkey_6_mask=0\nHotkey_6_type=0\nHotkey_7_event=9\nHotkey_7_key=122\nHotkey_7_mask=0\nHotkey_7_type=0\nHotkey_8_event=14\nHotkey_8_key=10\nHotkey_8_mask=8\nHotkey_8_type=0\nHotkey_9_event=4\nHotkey_9_key=49\nHotkey_9_mask=8\nHotkey_9_type=0\nNumHotkeys=11' >> ~/.config/audacious/config

kwriteconfig5 --file kglobalshortcutsrc --group kwin --key 'Walk Through Windows of Current Application' 'none,none,Walk Through Windows of Current Application'
kwriteconfig5 --file kglobalshortcutsrc --group kwin --key 'Walk Through Windows of Current Application (Reverse)' 'none,none,Walk Through Windows of Current Application (Reverse)'

kwriteconfig5 --file ./audacious/config --group audacious --key enable_replay_gain FALSE
kwriteconfig5 --file ./audacious/config --group audacious --key generic_title_format '${year}  - ${artist}  - ${?album:${album} - }${title}'
kwriteconfig5 --file ./audacious/config --group gtkui --key column_widths '54,609,382,35,468,175,23,100,29,53,275,275,275,10,275'
kwriteconfig5 --file ./audacious/config --group gtkui --key playlist_columns 'number artist year album track title length queued'
kwriteconfig5 --file ./audacious/config --group gtkui --key playlist_tabs_visible FALSE
kwriteconfig5 --file ./audacious/config --group statusicon --key scroll_action 1

# настраиваем SMPlayer
kwriteconfig5 --file ./smplayer/smplayer.ini --group gui --key pause_when_hidden --type bool true
kwriteconfig5 --file ./smplayer/smplayer.ini --group gui --key close_on_finish --type bool true
kwriteconfig5 --file ./smplayer/smplayer.ini --group gui --key iconset blackPanther-Real
kwriteconfig5 --file ./smplayer/smplayer.ini --group subtitles --key subcp 'UTF-8'
kwriteconfig5 --file ./smplayer/smplayer.ini --group floating_control --key animated --type bool false
kwriteconfig5 --file ./smplayer/smplayer.ini --group floating_control --key activation_area 2
kwriteconfig5 --file ./smplayer/smplayer.ini --group floating_control --key hide_delay 300
kwriteconfig5 --file ./smplayer/playlist.ini --group playlist --key ignore_player_errors --type bool true
kwriteconfig5 --file ./smplayer/smplayer.ini --group gui --key auto_add_to_playlist --type bool false
kwriteconfig5 --file ./smplayer/playlist.ini --group playlist --key save_playlist_in_config --type bool false
kwriteconfig5 --file ./smplayer/smplayer.ini --group tv --key check_channels_conf_on_startup --type bool false
kwriteconfig5 --file ./smplayer/smplayer.ini --group update_checker --key enabled --type bool false
kwriteconfig5 --file ./smplayer/smplayer.ini --group advanced --key log_mplayer --type bool false
kwriteconfig5 --file ./smplayer/smplayer.ini --group advanced --key log_smplayer --type bool false
kwriteconfig5 --file ./smplayer/smplayer.ini --group '%General' --key osd 0

# остальные настройки KDE
kwriteconfig5 --file plasmarc --group Theme --key name breeze-dark # Оформление рабочей среды
kwriteconfig5 --file kdeglobals --group KDE --key widgetStyle Breeze # oxygen # Оформление приложений
kwriteconfig5 --file kdeglobals --group Icons --key Theme oxygen # Значки
kwriteconfig5 --file kdeglobals --group General --key ColorScheme Breeze  # Цвета Breeze
kwriteconfig5 --file kdeglobals --group KDE --key widgetStyle Oxygen # Оформление приложений

kwriteconfig5 --file ./gtk-3.0/settings.ini --group Settings --key 'gtk-application-prefer-dark-theme' 0 # Цвета Breeze
kwriteconfig5 --file ./gtk-3.0/settings.ini --group Settings --key 'gtk-fallback-icon-theme' gnome
kwriteconfig5 --file ./gtk-3.0/settings.ini --group Settings --key 'gtk-icon-theme-name' oxygen
kwriteconfig5 --file kwinrc --group ElectricBorders --key TopRight None


# Снимаем ограничение скорости 100Мб разрешив согласование с роутером   (Параметры системы - Связь и сеть - Соединения - Разрешить автосогласование)
#nmcli help  #/etc/NetworkManager/system-connections
#nmcli con show "Wired connection 1"  // посмотреть настройки
#nmcli con show "Проводное соединение 1"
# //Изменить настройки  100 full no   //[true, yes, on] или  [false, no, off].
nmcli connection modify 'Проводное соединение 1' 802-3-ethernet.speed 0
nmcli connection modify 'Проводное соединение 1' 802-3-ethernet.duplex ''
nmcli connection modify 'Проводное соединение 1' 802-3-ethernet.auto-negotiate 'yes'

# Настройка отклика приложений при запуске 1c задержки меньше из-за лагов фотошопа  (Параметры системы - Приложения - Запуск приложений)
kwriteconfig5 --file klaunchrc --group BusyCursorSettings --key Timeout 1
kwriteconfig5 --file klaunchrc --group TaskbarButtonSettings --key Timeout 1

# убрать Steam из вкладки Интернет</span>
# sudo sed -i 's/Categories=Network;FileTransfer;Game;/Categories=Game;/g' /usr/lib/steam/steam.desktop
# Okular только в разделе Офис
sudo sed -i 's/Categories=Qt;KDE;Graphics;Office;Viewer;/Categories=Office;/g' /usr/share/applications/org.kde.okular.desktop
# Запись дисков в служебные
sudo sed -i 's/Categories=KDE;Qt;AudioVideo;DiscBurning;Filesystem;/Categories=Utility;/g' /usr/share/applications/org.kde.k3b.desktop
# Document Viewer в офис
sudo sed -i 's/Categories=Categories=GNOME;GTK;Office;Viewer;Graphics;2DGraphics;VectorGraphics;/Categories=Office;/g' /usr/share/applications/org.gnome.Evince.desktop

# перезапуск, чтоб примерились значки
rm -f ~/.cache/icon-cache.kcache
rm -f /var/tmp/kdecache-$USER/icon-cache.kcache
qdbus org.kde.KWin /KWin reconfigure
kquitapp5 plasmashell
kstart5 plasmashell > /dev/null 2>&1


# sudo gtk-update-icon-cache /usr/share/icons/hicolor
sudo update-icon-caches /usr/share/icons/*
sudo update-icon-caches /home/$USER/.local/share/icons/*
# обновить меню для Cinnamon
# sudo update-desktop-database

# отключаем почтовый сервис
# sudo systemctl stop postfix
# sudo systemctl disable postfix

# прописываем разрешения для DC и Torrent, и включаем фаерволл
sudo ufw allow 3000 && sudo ufw allow 3001 && sudo ufw allow 3002 && sudo ufw allow 3003
sudo ufw enable


# Частота обновления
# sudo sed -i 's/1/7/g' /etc/apt/apt.conf.d/20auto-upgrades

# Check for updates - days 1 2 7 14 (0=disable)
sudo sed -i 's/APT::Periodic::Update-Package-Lists "1";/APT::Periodic::Update-Package-Lists "7";/g' /etc/apt/apt.conf.d/20auto-upgrades

# Download only; package files are only retrieved, not unpacked or installed. Configuration Item: APT::Get::Download-Only.
# Download packages to the package cache as necessary, but do not install or remove anything. By default, the package cache is stored in /var/cache/apt/archives.
sudo sed -i 's/APT::Periodic::Download-Upgradeable-Packages "1";/APT::Periodic::Download-Upgradeable-Packages "7";/g' /etc/apt/apt.conf.d/20auto-upgrades
# как часто выполнять apt-get autoclean
# APT::Periodic::AutocleanInterval "0";

# как часто выполнять apt upgrade
sudo sed -i 's/APT::Periodic::Unattended-Upgrade "1";/APT::Periodic::Unattended-Upgrade "7";/g' /etc/apt/apt.conf.d/20auto-upgrades


# Cannot refresh cache offline
echo 'UseNetworkManager=false' | sudo tee -a /etc/PackageKit/PackageKit.conf
#echo '[device]\nwifi.scan-rand-mac-address=no' | sudo tee -a /etc/NetworkManager/conf.d/mac.conf


echo '------------------------------------------------------------------------------------------------------'
echo '--------------------------- УСТАНОВКА ОКОНЧЕНА! Необходима перезагрузка. -----------------------------'
echo '------------------- Осталось: Примонтировать диск к папке /a/; Настроить программы -------------------'
echo '------------------------------------------------------------------------------------------------------'
